'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('babel-polyfill');

var _enquirer = require('enquirer');

var _config = require('../storage/config.json');

var _config2 = _interopRequireDefault(_config);

var _createComponent = require('./createComponent.js');

var _createComponent2 = _interopRequireDefault(_createComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var listOfTemplates = require(_config2.default.storagePath).list;

if (!Object.keys(listOfTemplates).length) {
  console.error('Your list of blueprints is empty. Use "c-c use" to add a blueprint to the list');
}

exports.default = function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee(_ref2) {
    var name = _ref2.name;
    var componentName, answer, templatesPrompt, template;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            console.info('Create component...');

            componentName = name;

            if (componentName) {
              _context.next = 7;
              break;
            }

            _context.next = 5;
            return (0, _enquirer.prompt)({
              type: 'input',
              name: 'componentName',
              message: 'What is the name of the component?'
            });

          case 5:
            answer = _context.sent;


            // eslint-disable-next-line require-atomic-updates
            componentName = answer.componentName;

          case 7:
            templatesPrompt = new _enquirer.Select({
              name: 'Templates',
              message: 'Choose a blueprint:',
              choices: Object.keys(listOfTemplates)
            });
            _context.next = 10;
            return templatesPrompt.run();

          case 10:
            template = _context.sent;


            (0, _createComponent2.default)({
              template: template,
              componentName: componentName
            });

          case 12:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function (_x) {
    return _ref.apply(this, arguments);
  };
}();

module.exports = exports.default;